Bug 189291 - Excluding ppc until gcc bug is fixed
Excluding ppc until gcc bug is fixed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On: 189160
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2006-04-18 16:41 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4.3-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 12:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-04-18 16:41:37 EDT
Description of problem:

On FC5+ ppc:

g++  -DvtkVolumeRendering_EXPORTS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32  -Wno-deprecated 
-Wno-deprecated -fPIC -I/builddir/build/BUILD/paraview-2.4.3/fedora
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/VolumeRendering
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Rendering
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Parallel
-I/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Hybrid
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Widgets
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Rendering
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Rendering/Testing/Cxx
-I/builddir/build/BUILD/paraview-2.4.3/VTK/IO
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Imaging
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Graphics
-I/builddir/build/BUILD/paraview-2.4.3/VTK/GenericFiltering
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Filtering
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Common
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Common/Testing/Cxx
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/DICOMParser
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/DICOMParser
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/vtknetcdf
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/vtknetcdf
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/vtkexodus2/include
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/vtkexodus2/include
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/MaterialLibrary
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/MaterialLibrary
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/vtkfreetype/include
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/vtkfreetype
-I/builddir/build/BUILD/paraview-2.4.3/VTK/Utilities/ftgl/src
-I/builddir/build/BUILD/paraview-2.4.3/fedora/VTK/Utilities/ftgl
-I/usr/include/freetype2   -DVTK_PYTHON_BUILD -DVTK_IN_VTK -o
VTK/VolumeRendering/CMakeFiles/vtkVolumeRendering.dir/vtkUnstructuredGridPartialPreIntegration.o
-c
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:
In member function 'virtual void
vtkUnstructuredGridPartialPreIntegration::Integrate(vtkDoubleArray*,
vtkDataArray*, vtkDataArray*, float*)':
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:487:
warning: 'c$3' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:487:
warning: 'c$0' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:487:
warning: 'c$1' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:487:
warning: 'c$2' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:465:
warning: 'c$3' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:465:
warning: 'c$0' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:465:
warning: 'c$1' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/VolumeRendering/vtkUnstructuredGridPartialPreIntegration.cxx:465:
warning: 'c$2' may be used uninitialized in this function
/builddir/build/BUILD/paraview-2.4.3/VTK/Common/vtkMath.h:583: internal compiler
error: in get_callee_fndecl, at tree.c:5846
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccJbtgEo.out file, please attach this to
your bugreport.


Version-Release number of selected component (if applicable):
2.4.3-6.fc5
Comment 1 David Woodhouse 2006-04-18 16:49:44 EDT
> Please submit a full bug report,
> with preprocessed source if appropriate.
Comment 2 Orion Poplawski 2006-04-18 16:51:20 EDT
I did. See bug 189160
Comment 3 David Woodhouse 2006-04-18 17:10:39 EDT
Sorry, missed that one.

Note You need to log in before you can comment on or make changes to this bug.